main.floors.MT2=
{
    "floorId": "MT2",
    "title": "主塔 2 层",
    "name": "2",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "1,4": [
            {
                "type": "openDoor",
                "loc": [
                    3,
                    2
                ]
            },
            {
                "type": "move",
                "loc": [
                    4,
                    2
                ],
                "time": 500,
                "steps": [
                    "left:3",
                    "down:1"
                ]
            },
            {
                "type": "closeDoor",
                "id": "yellowWall",
                "loc": [
                    3,
                    2
                ]
            },
            {
                "type": "hide",
                "remove": true
            }
        ],
        "4,2": [
            "\t[小偷,thief]谢谢你救了我。给了感谢你，我给你准备了一个礼物",
            {
                "type": "setBlock",
                "number": "downFly",
                "time": 500
            },
            {
                "type": "show",
                "loc": [
                    [
                        2,
                        12
                    ]
                ],
                "floorId": "MT7"
            }
        ],
        "11,5": [
            "\t[老人,man]据说塔内的大法师是魔术之国的领主，如果能打败他的话也许可以得到领主的护符",
            {
                "type": "hide",
                "remove": true
            }
        ]
    },
    "changeFloor": {
        "1,9": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "1,3": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {
        "4,5": [
            {
                "type": "setValue",
                "name": "flag:door_MT2_5_6",
                "operator": "+=",
                "value": "1"
            }
        ],
        "4,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT2_5_6",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {
        "4,2": [
            "\t[小偷,thief]那么我们有缘再见！"
        ]
    },
    "afterOpenDoor": {},
    "autoEvent": {
        "5,6": {
            "0": {
                "condition": "flag:door_MT2_5_6==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            7,
                            2
                        ]
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            7,
                            10
                        ]
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            9,
                            1
                        ]
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            9,
                            4
                        ]
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            9,
                            6
                        ]
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            9,
                            10
                        ]
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT2_5_6",
                        "value": "null"
                    }
                ]
            },
            "1": null
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  0,  1, 27, 31, 28],
    [  1,  0,  0,  1,  0,  0,  0,  1,  0, 86, 27, 31, 28],
    [  1,  0,  0,  1,123,  0,  0, 86,  0,  1, 27, 31, 28],
    [  1, 87,  1,  1,  0,  0,  0,  1,  0,  1,  1,  1,  1],
    [  1,  0,  0,  1,  1,  1,  1,  1,  0, 86,  0,  0,  0],
    [  1,  0,  0,  1,222,  1,  0,  0,  0,  1,  0,121,  0],
    [  1,  0,  0, 82,  0, 85,  0,  0,  0, 86,  0,  0,  0],
    [  1,  0,  0,  1,222,  1,  0,  0,  0,  1,  0,  0,  0],
    [  1,  0,  0,  1,  1,  1,  1,  1,  0,  1,  1,  1,  1],
    [  1, 88,  1,  1,  0,338,  0,  1,  0,  1, 23, 22, 22],
    [  1,  0,  0,  1,  0,  0,  0, 86,  0, 86, 21, 21, 21],
    [  1,  0,  0,  1,  0,338,  0,  1,  0,  1, 32, 32, 32],
    [  1,  1,  1,  1,  1,  1,  1,  1,  0,  1,  0, 50,333]
],
    "bgmap": [

],
    "fgmap": [

]
}