main.floors.MT3=
{
    "floorId": "MT3",
    "title": "主塔 3 层",
    "name": "3",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "0,5": [
            {
                "type": "move",
                "loc": [
                    0,
                    5
                ],
                "time": 100,
                "keep": true,
                "steps": [
                    "down:7",
                    "right:6",
                    "up:3"
                ]
            },
            {
                "type": "setBlock",
                "number": "blueKing",
                "loc": [
                    [
                        6,
                        10
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "blueKing",
                "loc": [
                    [
                        5,
                        9
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "blueKing",
                "loc": [
                    [
                        7,
                        9
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "blueKing",
                "loc": [
                    [
                        6,
                        8
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "redKing",
                "loc": [
                    [
                        6,
                        7
                    ]
                ]
            },
            "\t[小偷,thief]卧槽？！",
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        7
                    ],
                    [
                        6,
                        8
                    ],
                    [
                        6,
                        9
                    ],
                    [
                        5,
                        9
                    ],
                    [
                        6,
                        10
                    ],
                    [
                        7,
                        9
                    ]
                ],
                "remove": true,
                "time": 800
            },
            {
                "type": "setBlock",
                "number": "thief",
                "loc": [
                    [
                        4,
                        2
                    ]
                ],
                "floorId": "MT2"
            }
        ],
        "3,3": [
            "\t[老人,man]那个被抓到2楼的小偷似乎知道什么有关盗贼之章的信息，据说小偷明天就要被处以死刑了，如果想救他的话，要尽快！",
            {
                "type": "hide",
                "remove": true
            }
        ],
        "12,3": [
            {
                "type": "if",
                "condition": "switch:A",
                "true": [
                    "\t[行商,trader]\b[this]本塔共4个商店，越到高层，商店的属性强化会越高",
                    {
                        "type": "comment",
                        "text": "下一条指令可视情况使用或不使用"
                    },
                    {
                        "type": "hide",
                        "remove": true,
                        "time": 250
                    }
                ],
                "false": [
                    {
                        "type": "confirm",
                        "text": "我有3把黄钥匙，\n你出50金币就卖给你。",
                        "yes": [
                            {
                                "type": "if",
                                "condition": "(status:money>=50)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "50"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "item:yellowKey",
                                        "operator": "+=",
                                        "value": "3"
                                    },
                                    {
                                        "type": "playSound",
                                        "name": "确定"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "switch:A",
                                        "value": "true"
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "playSound",
                                        "name": "操作失败"
                                    },
                                    "\t[行商,trader]\b[this]你的金币不足！"
                                ]
                            }
                        ],
                        "no": []
                    }
                ]
            }
        ],
        "1,0": [
            {
                "type": "setValue",
                "name": "flag:sd",
                "value": "1"
            },
            {
                "type": "openShop",
                "id": "shop1",
                "open": true
            }
        ]
    },
    "changeFloor": {
        "1,3": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "12,12": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  7,131,  8, 21,  1, 32, 21, 32,  1, 21,  0,205,  0],
    [ 32, 32, 32, 21, 82, 21, 45, 21,  1, 21,201,  1, 31],
    [  1,  1,  1,  1,  1, 21, 46, 21,  1,201,201,  1, 28],
    [  0, 88,  1,121,  1,  1,  0,  1,  1,  0,202,  1,122],
    [  0,  0,  1,  0,  1,  0,  0,  0,  1,  1, 81,  1,  1],
    [123,  1,  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  1,  0, 81,  1,  0,  0,  0,  1,  1,  1,  1,  0],
    [  0,  1,202,  0,  1,  1,  0,  1,  1, 32,205, 81,  0],
    [  0,  1, 81,  1,  1,  0,  0,  0,  1, 32, 21,  1,  0],
    [  0,  1,209, 27,  1,  0,  0,  0,  1,205, 21,  1,  0],
    [  0,  1, 21, 31,  1,  1,  0,  1,  1, 81,  1,  1,  0],
    [  0,  1,  1,  1,  1,  0,  0,  0,  1,210, 31,  1,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  1, 32, 22,  1, 87]
],
    "bgmap": [

],
    "fgmap": [

]
}