main.floors.MT13=
{
    "floorId": "MT13",
    "title": "主塔 13 层",
    "name": "13",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,11": [
            {
                "type": "openDoor"
            }
        ],
        "6,6": [
            "\t[大法师,magicMaster]你终于来了，我会赐予你圣光的力量",
            {
                "type": "setBlock",
                "number": "I335",
                "loc": [
                    [
                        6,
                        5
                    ]
                ],
                "time": 500
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    3
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    4,
                    5
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    8,
                    5
                ]
            },
            {
                "type": "hide",
                "remove": true
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        4
                    ]
                ],
                "remove": true
            }
        ],
        "6,4": [
            {
                "type": "setBlock",
                "number": "E345",
                "loc": [
                    [
                        6,
                        5
                    ]
                ],
                "time": 500
            },
            "\t[冥,E345]你终究还是选择了这边... 用你的鲜血与恶魔契约吧！",
            {
                "type": "setBlock",
                "number": "I342",
                "loc": [
                    [
                        6,
                        5
                    ]
                ],
                "time": 500
            },
            {
                "type": "openDoor",
                "loc": [
                    8,
                    5
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    8
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    4,
                    5
                ]
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        6
                    ]
                ],
                "remove": true
            },
            {
                "type": "hide",
                "remove": true
            }
        ],
        "5,5": [
            {
                "type": "battle",
                "loc": [
                    6,
                    5
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    4,
                    5
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    3
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    8
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    8,
                    5
                ]
            }
        ],
        "7,5": [
            {
                "type": "battle",
                "loc": [
                    6,
                    5
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    4,
                    5
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    3
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    6,
                    8
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    8,
                    5
                ]
            }
        ],
        "8,7": [
            "\t[老人,man]本层的大法师从不接待已有其他职业的人",
            {
                "type": "hide",
                "remove": true,
                "time": 500
            }
        ]
    },
    "changeFloor": {
        "12,0": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "0,12": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {
        "6,5": [
            {
                "type": "setBlock",
                "number": "amulet",
                "time": 500
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        4
                    ]
                ],
                "remove": true
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        6
                    ]
                ],
                "remove": true
            }
        ]
    },
    "afterGetItem": {
        "6,5": [
            {
                "type": "if",
                "condition": "(item:amulet===1)",
                "true": [
                    {
                        "type": "setGlobalValue",
                        "name": "redGem",
                        "value": 4
                    },
                    {
                        "type": "setGlobalValue",
                        "name": "blueGem",
                        "value": 4
                    },
                    {
                        "type": "setGlobalValue",
                        "name": "redPotion",
                        "value": 100
                    },
                    {
                        "type": "setGlobalValue",
                        "name": "bluePotion",
                        "value": 400
                    },
                    {
                        "type": "setGlobalValue",
                        "name": "yellowPotion",
                        "value": 1600
                    },
                    {
                        "type": "setGlobalValue",
                        "name": "greenPotion",
                        "value": 6400
                    }
                ],
                "false": []
            }
        ]
    },
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 88],
    [  0,  0,  0,  0,  0,  3,  3,  3,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  3,  0,  3,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  3,343,  3,  0,  0,  0,  0,  0],
    [  0,  0,  3,  3,  3,  3,  0,  3,  3,  3,  3,  0,  0],
    [  0,  0,  3,  0,343,  0,247,  0,343,  0,  3,  0,  0],
    [  0,  0,  3,  3,  3,  3,  0,  3,  3,  3,  3,  0,  0],
    [  0,  0,  0,  0,  0,  3,  0,  3,121,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  3,343,  3,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  3,  0,  3,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  3,  0,  3,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  3,  3,  3,  0,  0,  0,  0,  0],
    [ 87,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0]
],
    "bgmap": [

],
    "fgmap": [

]
}