main.floors.MT21=
{
    "floorId": "MT21",
    "title": "主塔 21 层",
    "name": "21",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "3,9": [
            {
                "type": "battle",
                "loc": [
                    1,
                    9
                ]
            },
            {
                "type": "battle",
                "loc": [
                    3,
                    11
                ]
            },
            {
                "type": "battle",
                "loc": [
                    0,
                    8
                ]
            },
            {
                "type": "battle",
                "loc": [
                    4,
                    12
                ]
            },
            {
                "type": "hide",
                "remove": true
            }
        ],
        "2,8": [
            {
                "type": "battle",
                "loc": [
                    1,
                    9
                ]
            },
            {
                "type": "battle",
                "loc": [
                    3,
                    11
                ]
            },
            {
                "type": "battle",
                "loc": [
                    0,
                    8
                ]
            },
            {
                "type": "battle",
                "loc": [
                    4,
                    12
                ]
            },
            {
                "type": "hide",
                "remove": true
            }
        ],
        "4,10": [
            {
                "type": "battle",
                "loc": [
                    1,
                    9
                ]
            },
            {
                "type": "battle",
                "loc": [
                    3,
                    11
                ]
            },
            {
                "type": "battle",
                "loc": [
                    0,
                    8
                ]
            },
            {
                "type": "battle",
                "loc": [
                    4,
                    12
                ]
            },
            {
                "type": "hide",
                "remove": true
            }
        ]
    },
    "changeFloor": {
        "12,0": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "0,12": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {
        "2,10": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_1_11",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_7_10",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_2_5",
                "operator": "+=",
                "value": "1"
            }
        ],
        "4,5": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_3_8",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_4_9",
                "operator": "+=",
                "value": "1"
            }
        ],
        "3,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_3_8",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_4_9",
                "operator": "+=",
                "value": "1"
            }
        ],
        "5,6": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_3_8",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_4_9",
                "operator": "+=",
                "value": "1"
            }
        ],
        "4,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_3_8",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_4_9",
                "operator": "+=",
                "value": "1"
            }
        ],
        "5,8": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_3_8",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_4_9",
                "operator": "+=",
                "value": "1"
            }
        ],
        "7,8": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_3_8",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_4_9",
                "operator": "+=",
                "value": "1"
            }
        ],
        "6,9": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_3_8",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_4_9",
                "operator": "+=",
                "value": "1"
            }
        ],
        "6,7": [
            {
                "type": "setValue",
                "name": "flag:door_MT21_3_8",
                "operator": "+=",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:door_MT21_4_9",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "1,11": {
            "0": {
                "condition": "flag:door_MT21_1_11==1",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT21_1_11",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        },
        "3,8": {
            "0": {
                "condition": "flag:door_MT21_3_8==8",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT21_3_8",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            },
            "1": null
        },
        "4,9": {
            "0": {
                "condition": "flag:door_MT21_4_9==8",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT21_4_9",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        },
        "7,10": {
            "0": {
                "condition": "flag:door_MT21_7_10==1",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT21_7_10",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        },
        "2,5": {
            "0": {
                "condition": "flag:door_MT21_2_5==1",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT21_2_5",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [  2, 34,  0, 21,  0,  0,  2,  0, 27,  0,  2,  0, 88],
    [ 34,  2,  0,  0, 21,  0,  0,  2,  0,  2,  0,  0,  0],
    [ 30, 34,  2, 28,  0,  0, 82,232, 81,  0,  0,  0,  2],
    [  0, 30, 34,  2,  0,  0,  0,  2,  0,  0,  0,  2,  0],
    [  0,  0,  2,  2,  2, 28,  2,  0,  0,  0, 81,  0, 28],
    [  2,  0, 85,  2,226,  2,  0, 83,  0,  2,232,  2,  0],
    [  0,  2,  0,226,  0,226,  0,  0,  2,  0, 82,  0,  2],
    [  0,  0,  2,  0,226,  0,226,  2, 27,  0,  0,  0,  0],
    [224,  0,  0, 85,  0,226,  0,226,  2,  0,  0, 21,  0],
    [  0,224,  0,  0, 85,  0,226,  2,  2,  2, 27,  0, 21],
    [  2,  0,270,  0,  0,  2,  0, 85,  2, 34,  2,  0,  0],
    [  0, 85,  0,224,  0,  0,  2,  0,  0, 30, 34,  2, 34],
    [ 87,  0,  2,  0,224,  0,  0,  2,  0,  0, 30, 34,  2]
],
    "bgmap": [

],
    "fgmap": [

]
}