main.floors.MT26=
{
    "floorId": "MT26",
    "title": "主塔 26 层",
    "name": "26",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,12": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "confirm",
                    "text": "我有1个地震卷轴，\n你出1000金币就卖给你。",
                    "yes": [
                        {
                            "type": "if",
                            "condition": "(status:money>=1000)",
                            "true": [
                                "\t[商人,trader]如果你是牧师，并且你有圣光匕首，你就可以轻松打败魔王",
                                {
                                    "type": "setValue",
                                    "name": "status:money",
                                    "operator": "-=",
                                    "value": "1000"
                                },
                                {
                                    "type": "setValue",
                                    "name": "item:earthquake",
                                    "operator": "+=",
                                    "value": "1"
                                },
                                {
                                    "type": "playSound",
                                    "name": "确定"
                                },
                                {
                                    "type": "hide",
                                    "remove": true,
                                    "time": 500
                                }
                            ],
                            "false": [
                                {
                                    "type": "playSound",
                                    "name": "操作失败"
                                },
                                "\t[商人,trader]\b[this]你的金币不足！"
                            ]
                        }
                    ],
                    "no": []
                }
            ]
        },
        "1,1": [
            "\t[老人,man]29楼似乎住着人？",
            {
                "type": "hide",
                "remove": true
            }
        ]
    },
    "changeFloor": {
        "0,0": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "12,0": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [ 88,  0,  3,  0,  0,  3,  0,  0,  0,  0,246,  0, 87],
    [  0,121,  3,  0,219,  0,219,  0,  3,  3,  3,  3,  3],
    [  0,  3,  3,  0,  0,  3,  3,  3,  3,  0,220,  0, 27],
    [  0,  0,  0,  0,  0,  3, 34,228,  0,  0,  3,  3,  0],
    [  3,  0,  3,  3,  0,  3,  3,  0,  0,228, 34,  3, 27],
    [  3,  0,  3,  3,  0,  3,  0,  0,  3,  3,  3,  3,219],
    [  3,  0,  0,  0,  0,  0,  0,  0,  0,  0,  3,  0,  0],
    [  3,  3,  0,  3,  3,  3,  3,  0,  3,  3,  3,  0,  3],
    [ 27,246,  0,246, 34, 28,  3,  0,  0,  0,  0,207, 28],
    [  3,  3,  0,  3,  3,  3,  3,  0,  3,  3,  3, 81,  3],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0, 81,207,  0,220],
    [  0,346,  0,346,  0,  3,  3,  3, 82,  3, 28,228, 28],
    [ 25,  3, 25,  3, 25,  3,122,  0, 27,  3,220, 50, 33]
],
    "bgmap": [

],
    "fgmap": [

],
    "cannotMoveDirectly": false
}