main.floors.MT6=
{
    "floorId": "MT6",
    "title": "主塔 6 层",
    "name": "6",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "5,1": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "confirm",
                    "text": "我有1个对称飞行器，\n你出100金币就卖给你。",
                    "yes": [
                        {
                            "type": "if",
                            "condition": "(status:money>=100)",
                            "true": [
                                "\t[商人,trader]其实本塔里共有5种职业",
                                {
                                    "type": "setValue",
                                    "name": "status:money",
                                    "operator": "-=",
                                    "value": "100"
                                },
                                {
                                    "type": "setValue",
                                    "name": "item:centerFly",
                                    "operator": "+=",
                                    "value": "1"
                                },
                                {
                                    "type": "playSound",
                                    "name": "确定"
                                },
                                {
                                    "type": "hide",
                                    "remove": true,
                                    "time": 500
                                }
                            ],
                            "false": [
                                {
                                    "type": "playSound",
                                    "name": "操作失败"
                                },
                                "\t[商人,trader]\b[this]你的金币不足！"
                            ]
                        }
                    ],
                    "no": []
                }
            ]
        }
    },
    "changeFloor": {
        "12,12": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "0,12": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "beforeBattle": {},
    "afterBattle": {
        "0,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT6_1_3",
                "operator": "+=",
                "value": "1"
            }
        ],
        "2,4": [
            {
                "type": "setValue",
                "name": "flag:door_MT6_1_3",
                "operator": "+=",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {
        "1,3": {
            "0": {
                "condition": "flag:door_MT6_1_3==2",
                "currentFloor": true,
                "priority": 0,
                "delayExecute": false,
                "multiExecute": false,
                "data": [
                    {
                        "type": "openDoor"
                    },
                    {
                        "type": "setValue",
                        "name": "flag:door_MT6_1_3",
                        "operator": "=",
                        "value": "null"
                    }
                ]
            }
        }
    },
    "cannotMove": {},
    "cannotMoveIn": {},
    "map": [
    [ 32,  0, 31,  1,  0,  0,  0,  1,202,202,  1,217, 21],
    [  0, 23,  0,  1,  0,122,  0, 82,  0,209, 81,  0,205],
    [ 21,  0, 21,  1,  0,  0,  0,  1, 21, 32,  1,209,  0],
    [  1, 85,  1,  1,  1,  1,  1,  1,  1,  1,  1, 81,  1],
    [221,  0,221,  1, 21, 21, 21,  1, 28,202,  1,  0, 21],
    [  0,  0,  0,  1, 32, 32, 32,  1,202,  0,  1,  0,  0],
    [  1,  0,  1,  1,  0,217,  0,  1, 31,209, 81,209,  0],
    [  0,  0,209,  1,  1, 82,  1,  1,  1,  1,  1,  1, 81],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [ 81,  1,  1,  1,  1,  1,  1,  1,  1,  1, 81,  1, 81],
    [  0,  1, 47, 32, 31,210,  1, 21, 21,  1,205,  1,  0],
    [  0,  1, 82,  1,  1,  0, 81,201,202,  1,  0,  1,  0],
    [ 87,  1, 27, 32, 31,209,  1,  0,  0, 81, 31,  1, 88]
],
    "bgmap": [

],
    "fgmap": [

]
}